## usplash-theme-debian 2

=== Makefile ===
# usplash-theme-debian - Makefile
#
# Copyright © 2006 - 2007 David Härdeman <david@hardeman.nu>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA



# This is the list of sizes to build and include in the theme
# By convention, the sizes should go from smaller to larger
sizes = 640x480 800x600 1024x768

# This creates a list with entries like background_800x600.png...
backgrounds = $(addsuffix .png, $(addprefix background_, $(sizes)))
background_objs = $(backgrounds:.png=.o)
progressfgs = $(addsuffix .png, $(addprefix progressfg_, $(sizes)))
progressfg_objs = $(progressfgs:.png=.o)
progressbgs = $(addsuffix .png, $(addprefix progressbg_, $(sizes)))
progressbg_objs = $(progressbgs:.png=.o)

CC       = gcc
CFLAGS   = -g -Wall -fPIC
LDFLAGS  =
INCLUDES =
COMPILE  = $(CC) $(INCLUDES) $(CFLAGS)
LINK     = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL      = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROG = $(INSTALL) -m 755

DESTDIR = /usr/lib/usplash

# Default = silent build
V =
ifeq ($(strip $(V)),)
E = @echo
Q = @
else
E = @\#
Q =
endif
export E Q


all: debian-theme.so
.PHONY: all
.DEFAULT: all

debian-theme.so: theme.o $(background_objs) $(progressfg_objs) $(progressbg_objs)
	$(E) "  LINK    " $@
	$(Q) $(COMPILE) -shared -o $@ $^

theme.h: theme.in progress.png themesetup.sh $(backgrounds) $(progressfgs) $(progressbgs)
	$(E) "  THMPARM " $@
	$(Q) ./themesetup.sh $(sizes) > $@

theme.o: theme.c theme.h

background_%.png: background.svg cmap.gif
	$(E) "  BG      " $@
	$(Q) rsvg-convert -w `echo $* | cut -dx -f1` -h `echo $* | cut -dx -f2` -f png $< > $@

progressfg_%.png: background_%.png progress.png cmap.gif
	$(E) "  PROGFG  " $@
	$(Q) composite -compose dst_over -gravity center $< progress.png $@

progressbg_%.png: background_%.png progress.png cmap.gif
	$(E) "  PROGBG  " $@
	$(Q) composite -gravity center -dissolve 25x100 progress.png $< png:- | \
	     composite -gravity center -compose src_over png:- progress.png $@

%.o: %.c
	$(E) "  CC      " $@
	$(Q) $(COMPILE) -o $@ -c $<

%.c: %.png cmap.gif
	$(E) "  PNGSRC  " $@
	$(Q) convert $< +dither -map cmap.gif gif:- | \
	     convert gif:- $<
	$(Q) pngtousplash $< > $@

#cmap.gif: background.svg progress.png
#	$(E) "  CMAP    " $@
#	$(Q) rsvg-convert -w 1024 -h 768 -f png background.svg | \
#	     composite -compose src_over -gravity center progress.png png:- +dither cmap.gif

install: debian-theme.so
	$(E) "  INSTALL " $<
	$(Q) $(INSTALL_DATA) -D $< $(DESTDIR)/debian-theme.so 
.PHONY: install

install-strip: debian-theme.so
	$(MAKE) INSTALL='$(INSTALL) -s' install
.PHONY: install-strip

clean:
	$(E) "  CLEAN   "
	$(Q) - find . -type f -name '*.png.c' -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name '*.cfont' -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name '*.o' -print0     | xargs -0r rm -f
	$(Q) - find . -type f -name '*.so' -print0    | xargs -0r rm -f
#	$(Q) - find . -type f -name 'cmap.*' -print0   | xargs -0r rm -f
	$(Q) - find . -type f -name 'background_*' -print0   | xargs -0r rm -f
	$(Q) - find . -type f -name 'progressfg_*' -print0   | xargs -0r rm -f
	$(Q) - find . -type f -name 'progressbg_*' -print0   | xargs -0r rm -f
	$(Q) - rm -f theme.h
.PHONY: clean

.PRECIOUS: %.c progressbg_%.png progressfg_%.png background_%.png

=== debian/changelog ===
usplash-theme-debian (2) unstable; urgency=low

  * Make text background brighter by changing background color index
    from 246 to 251, meaning #ffffff instead of #e6f0f4, this also
    seems necessary to work with e.g. 16 color displays.
    (closes: #422912)
  * Fix FTBFS.
  * Offer usplash-artwork.so alternative, not usplash-theme. Thanks to
    Mario Izquierdo <mariodebian@gmail.com> for the patch.
    (closes: #422843)
  * Update initramfs when necessary.
  * Add XS-Vcs fields to debian/control.
  * Add a static color map instead of generating it dynamically which
    might introduce color differences with different ImageMagick or rsvg
    versions.

 -- David Härdeman <david@hardeman.nu>  Sat, 12 May 2007 14:34:00 +0200

usplash-theme-debian (1) unstable; urgency=low

  * Initial release.

 -- David Härdeman <david@hardeman.nu>  Mon, 16 Apr 2007 00:31:58 +0200

=== debian/control ===
Source: usplash-theme-debian
Section: misc
Priority: optional
Maintainer: maximilian attems <maks@debian.org>
Uploaders: David Härdeman <david@hardeman.nu>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 5.0.0), libusplash-dev, imagemagick, librsvg2-bin
Standards-Version: 3.7.2.2
XS-Vcs-Git: git://git.debian.org/git/collab-maint/usplash-theme-debian.git
XS-Vcs-Browser: http://git.debian.org/git/collab-maint/usplash-theme-debian.git

Package: usplash-theme-debian
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, usplash
Provides: usplash-theme
Description: Debian usplash theme
 This package contains a usplash theme based on the ideas from the
 Debian Desktop Artwork project.
 .
 See http://wiki.debian.org/DebianDesktopArtwork for more details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

THEMEDIR=usr/lib/usplash

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash-theme-debian/$(THEMEDIR)
	find $(CURDIR)/debian/usplash-theme-debian/$(THEMEDIR) -type d -exec chmod 755 {} \;

binary: binary-arch binary-indep

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
# Nothing to do

.PHONY: configure build clean install binary binary-arch binary-indep

## usplash-theme-debian 4

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # This is the list of sizes to build and include in the theme
 # By convention, the sizes should go from smaller to larger
-sizes = 640x480 800x600 1024x768
+sizes = 640x480 800x600 1024x768 1280x1024
 
 # This creates a list with entries like background_800x600.png...
 backgrounds = $(addsuffix .png, $(addprefix background_, $(sizes)))

=== debian/changelog ===
usplash-theme-debian (4) unstable; urgency=low

  * Restrict the architecture building to: amd64, i386, powerpc, sparc
  * Added theme for 1280x1024 resolution. (closes: #429296)

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 08 Jul 2007 19:50:12 -0300

usplash-theme-debian (3) unstable; urgency=low

  * Fix XS-VCS-Browser to point to the gitweb URI otherwise the user
    clicking at PTS would end at GIT metadata.
  * Remove dependency of usplash to avoid circular dependencies.
    (closes: #427931)
  * Do not ignore make clean failures while building.
  * Remove build-stamp configure-stamp on package clean up.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 27 Jun 2007 13:13:49 -0300

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper (>= 5.0.0), libusplash-dev, imagemagick, librsvg2-bin
 Standards-Version: 3.7.2.2
 XS-Vcs-Git: git://git.debian.org/git/collab-maint/usplash-theme-debian.git
-XS-Vcs-Browser: http://git.debian.org/git/collab-maint/usplash-theme-debian.git
+XS-Vcs-Browser: http://git.debian.org/?p=collab-maint/usplash-theme-debian.git
 
 Package: usplash-theme-debian
 Section: misc
-Architecture: any
-Depends: ${shlibs:Depends}, usplash
+Architecture: amd64 i386 powerpc sparc
+Depends: ${shlibs:Depends}
 Provides: usplash-theme
 Description: Debian usplash theme
  This package contains a usplash theme based on the ideas from the

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,9 @@
 	touch build-stamp
 
 clean:
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
+	rm -f build-stamp configure-stamp
 
 install: build
 	dh_testdir

## usplash-theme-debian 4ubuntu1

=== debian/changelog ===
usplash-theme-debian (4ubuntu1) jaunty; urgency=low

  * Update for new usplash which supports explicit theme sizes and pixmap
    positions; see LP #64147 for details.
  * debian/control: Bump usplash dependencies to >= 0.5.30 (THEME_VERSION==4).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 22:26:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: usplash-theme-debian
 Section: misc
 Priority: optional
-Maintainer: maximilian attems <maks@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: maximilian attems <maks@debian.org>
 Uploaders: David Härdeman <david@hardeman.nu>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libusplash-dev, imagemagick, librsvg2-bin
+Build-Depends: debhelper (>= 5.0.0), libusplash-dev (>= 0.5.30), imagemagick, librsvg2-bin
 Standards-Version: 3.7.2.2
 XS-Vcs-Git: git://git.debian.org/git/collab-maint/usplash-theme-debian.git
 XS-Vcs-Browser: http://git.debian.org/?p=collab-maint/usplash-theme-debian.git

## usplash-theme-debian 5

=== Makefile ===
# usplash-theme-debian - Makefile
#
# Copyright © 2006 - 2007 David Härdeman <david@hardeman.nu>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

#Edited by Chad Albers <chad@neomantic.com> for usplash-theme-debian-swirl


# This is the list of sizes to build and include in the theme
# By convention, the sizes should go from smaller to larger
#sizes missing (at least) = 1024x600 1280x1024 1440x1050 1900x1200
sizes = 640x400 640x480 800x600 1024x768 1365x768_scaled 1600x1200


# This creates a list with entries like background_800x600.png...
backgrounds = $(addsuffix .png, $(addprefix usplash_, $(sizes)))
background_objs = $(backgrounds:.png=.o)
throbbers = throbber_fore.png throbber_fore_16.png throbber_back.png throbber_back_16.png
throbber_objs = $(throbbers:.png=.o)

CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=
COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL      = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROG = $(INSTALL) -m 755

DESTDIR = /usr/lib/usplash

# Default = silent build
V =
ifeq ($(strip $(V)),)
E = @echo
Q = @
else
E = @\#
Q =
endif
export E Q

all: debian-theme.so
.PHONY: all
.DEFAULT: all

debian-theme.so: debian-theme.o $(background_objs) $(throbber_objs)
	$(E) "  LINK    " $@
	$(Q) $(COMPILE) -shared -o $@ $^
    
debian-theme.o: debian-theme.c
    
%.o: %.c
	$(E) "  CC      " $@
	$(Q) $(COMPILE) -o $@ -c $<
    
%.c: %.png
	$(E) "  PNGSRC  " $@
	$(Q) pngtousplash $< > $@

install:debian-theme.so
	$(E) "  INSTALL " $<
	$(Q) $(INSTALL_DATA) -D $< $(DESTDIR)/debian-theme.so 
.PHONY: install

install-strip: debian-theme.so
	$(MAKE) INSTALL='$(INSTALL) -s' install
.PHONY: install-strip

clean:
	$(E) "  CLEAN   "
	$(Q) - find . -type f -name '*.png.c' -print0 | xargs -0r rm -f
	$(Q) - find . -type f -name '*.o' -print0     | xargs -0r rm -f
	$(Q) - find . -type f -name '*.so' -print0    | xargs -0r rm -f
.PHONY: clean

=== debian/changelog ===
usplash-theme-debian (5) unstable; urgency=low

  * New artwork thanks to Chad Albers <chad@neomantic.com>, downloaded from
    http://www.debianart.org/cchost/?ccm=/media/files/neomantic/422
    (Closes: #483956, #436430, #466124)
    In future versions I plan to provide alternative artworks too.
  * Add armel and mipsel to supported architectures. 
    (Closes: #525236, #521214, #497147)
  * Remove imagemagick, librsvg2-bin from build-depends. 
  * Add usplash to recommends. (Closes: #523100)
  * Bump standards version to 3.8.3, no changes needed. 
  * Add myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Fri, 23 Oct 2009 13:02:46 +0200

=== debian/control ===
Source: usplash-theme-debian
Section: misc
Priority: optional
Maintainer: maximilian attems <maks@debian.org>
Uploaders: David Härdeman <david@hardeman.nu>, 
 Petter Reinholdtsen <pere@debian.org>, 
 Otavio Salvador <otavio@debian.org>, 
 Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 5.0.0), libusplash-dev
Standards-Version: 3.8.3
XS-Vcs-Git: git://git.debian.org/git/collab-maint/usplash-theme-debian.git
XS-Vcs-Browser: http://git.debian.org/?p=collab-maint/usplash-theme-debian.git

Package: usplash-theme-debian
Section: misc
Architecture: amd64 i386 powerpc sparc mipsel armel
Depends: ${shlibs:Depends}
Provides: usplash-theme
Recommends: usplash
Description: Debian usplash theme
 This package contains a usplash theme based on the ideas from the
 Debian Desktop Artwork project.
 .
 See http://wiki.debian.org/DebianDesktopArtwork for more details.
